Page MenuHomePhabricator

Weekly update are not running since weeks.
Closed, ResolvedPublic

Description

Got notified that the weekly-updates have not run for a while.

Indeed, the last successful update happened on October 20th. Since then:

2019-10-20_07:00:24 Done with the update!
2019-10-27_00:00:39 Starting update.
python: can't open file 'pages_processor.py': [Errno 2] No such file or directory
2019-10-27_00:00:45 Done with the update!
2019-11-03_00:00:35 Starting update.
python: can't open file 'pages_processor.py': [Errno 2] No such file or directory
2019-11-03_00:00:35 Done with the update!
2019-11-10_00:00:28 Starting update.
python: can't open file 'pages_processor.py': [Errno 2] No such file or directory
2019-11-10_00:00:29 Done with the update!
2019-11-17_00:00:47 Starting update.
python: can't open file 'pages_processor.py': [Errno 2] No such file or directory
2019-11-17_00:00:47 Done with the update!
2019-11-24_00:00:33 Starting update.
python: can't open file 'pages_processor.py': [Errno 2] No such file or directory
2019-11-24_00:00:33 Done with the update!

This is definitely linked to the major re-deploy of October 25th (which was somewhat expected to break things indeed) − likely 70b47b5cd011.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 25 2019, 11:26 AM
JeanFred triaged this task as High priority.

Mentioned in SAL (#wikimedia-cloud) [2019-11-25T11:34:38Z] <wm-bot> <jeanfred> Deploy latest from Git master: 684fb77 (T239085)

Mentioned in SAL (#wikimedia-cloud) [2019-11-25T11:36:47Z] <wm-bot> <jeanfred> Trigger a manual update of all dashboards (T239085)

JeanFred moved this task from Backlog to Bugs on the Tool-inteGraality board.Nov 25 2019, 11:37 AM

Mentioned in SAL (#wikimedia-cloud) [2019-11-25T11:39:12Z] <wm-bot> <jeanfred> Trigger a manual update of all dashboards (T239085)

JeanFred closed this task as Resolved.Nov 25 2019, 11:42 AM

The manual update is running − and it’s using the same script as the weekly-one. Closing as resolved.

JeanFred renamed this task from Weekly upgrades are not running to Weekly update are not running since weeks..Nov 25 2019, 11:43 AM